Name:          signal-desktop
Version:       6.44.1
Release:       1mamba
Summary:       Signal Desktop links with Signal on Android or iOS and lets you message from your computers
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://signal.org/
Source:        https://github.com/signalapp/Signal-Desktop.git/v%{version}/Signal-Desktop-%{version}.tar.bz2
Source2:       signal-desktop.desktop
Patch0:        signal-desktop-5.40.1-expire-from-source-date-epoch.patch
Patch1:        signal-desktop-5.40.1-fix-better-sqlite-ssl-error.patch
License:       Affero GNU Public License
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: git-lfs

%description
Signal Desktop links with Signal on Android or iOS and lets you message from your computers.

%debug_package

%prep
%setup -q -n Signal-Desktop-%{version}
#-D -T
#:<< _EOF

%define _build_id_links none
%global __requires_exclude_from ^%{_libdir}/signal-desktop/.*$
%global __provides_exclude_from ^%{_libdir}/signal-desktop/.*$

# Requires Nodejs 16.13.2
export PROFILE=/dev/null
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.34.0/install.sh | bash
export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"
nvm install 16.13.2

# git-lfs hook needs to be installed for one of the dependencies
git lfs install

# Allow higher Node versions
#sed 's#"node": "#&>=#' -i package.json

#%patch0 -p1 -b .expire-from-source-date-epoch
##%patch1 -p1

yarn install
#--ignore-engines

%build
#:<< _EOF
export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"

export SOURCE_DATE_EPOCH=`date +%s`

yarn generate
yarn build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m0755 %{buildroot}{%{_libdir},%{_bindir}}
cp -a release/linux-unpacked %{buildroot}%{_libdir}/signal-desktop
ln -s ../%{_lib}/signal-desktop/signal-desktop %{buildroot}%{_bindir}

install -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/signal-desktop.desktop

for i in 16 24 32 48 64 128 256 512 1024; do
  install -D -m0644 build/icons/png/${i}x${i}.png \
    %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/signal-desktop.png
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/signal-desktop
%{_datadir}/applications/signal-desktop.desktop
%dir %{_libdir}/signal-desktop
%{_libdir}/signal-desktop/*
%{_datadir}/icons/hicolor/*/apps/signal-desktop.png
%doc LICENSE

%changelog
* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 6.44.1-1mamba
- automatic version update by autodist

* Thu Jan 11 2024 Automatic Build System <autodist@openmamba.org> 6.44.0-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 6.43.2-1mamba
- automatic version update by autodist

* Fri Jan 05 2024 Automatic Build System <autodist@mambasoft.it> 6.43.1-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 6.43.0-1mamba
- automatic version update by autodist

* Sat Dec 23 2023 Automatic Build System <autodist@mambasoft.it> 6.42.1-1mamba
- automatic version update by autodist

* Fri Dec 15 2023 Automatic Build System <autodist@mambasoft.it> 6.42.0-1mamba
- automatic version update by autodist

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 6.41.0-1mamba
- automatic version update by autodist

* Tue Dec 05 2023 Automatic Build System <autodist@mambasoft.it> 6.40.0-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 6.39.0-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 6.38.0-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 6.37.0-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 6.36.0-1mamba
- automatic version update by autodist

* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 6.35.0-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Automatic Build System <autodist@mambasoft.it> 6.34.1-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 6.34.0-1mamba
- automatic version update by autodist

* Fri Oct 06 2023 Automatic Build System <autodist@mambasoft.it> 6.33.0-1mamba
- automatic version update by autodist

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 6.32.0-1mamba
- automatic version update by autodist

* Fri Sep 22 2023 Automatic Build System <autodist@mambasoft.it> 6.31.0-1mamba
- automatic version update by autodist

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 6.30.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2023 Automatic Build System <autodist@mambasoft.it> 6.30.1-1mamba
- automatic version update by autodist

* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 6.30.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2023 Automatic Build System <autodist@mambasoft.it> 6.29.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2023 Automatic Build System <autodist@mambasoft.it> 6.29.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2023 Automatic Build System <autodist@mambasoft.it> 6.28.0-1mamba
- automatic version update by autodist

* Sat Aug 05 2023 Automatic Build System <autodist@mambasoft.it> 6.27.1-1mamba
- automatic version update by autodist

* Tue Aug 01 2023 Automatic Build System <autodist@mambasoft.it> 6.27.0-1mamba
- automatic version update by autodist

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 6.26.0-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 6.25.0-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Automatic Build System <autodist@mambasoft.it> 6.24.0-1mamba
- automatic version update by autodist

* Thu Jun 29 2023 Automatic Build System <autodist@mambasoft.it> 6.23.0-1mamba
- automatic version update by autodist

* Fri Jun 23 2023 Automatic Build System <autodist@mambasoft.it> 6.22.0-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 6.21.0-1mamba
- automatic version update by autodist

* Sun Jun 11 2023 Automatic Build System <autodist@mambasoft.it> 6.20.2-1mamba
- automatic version update by autodist

* Wed Jun 07 2023 Automatic Build System <autodist@mambasoft.it> 6.20.1-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 6.11.0-1mamba
- automatic version update by autodist

* Tue Mar 21 2023 Automatic Build System <autodist@mambasoft.it> 6.10.1-1mamba
- automatic version update by autodist

* Thu Feb 23 2023 Automatic Build System <autodist@mambasoft.it> 6.7.0-1mamba
- automatic version update by autodist

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 6.6.0-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Fri Feb 10 2023 Automatic Build System <autodist@mambasoft.it> 6.5.0-1mamba
- automatic version update by autodist

* Sat Feb 04 2023 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Wed Jan 18 2023 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Mon Nov 14 2022 Automatic Build System <autodist@mambasoft.it> 5.63.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Sat Oct 01 2022 Automatic Build System <autodist@mambasoft.it> 5.61.1-1mamba
- automatic version update by autodist

* Fri Sep 30 2022 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Fri Sep 23 2022 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.58.0-2mamba
- fix requires exclusion

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Fri Sep 02 2022 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Fri Aug 26 2022 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Thu Aug 04 2022 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Wed Jul 27 2022 Automatic Build System <autodist@mambasoft.it> 5.51.1-1mamba
- automatic version update by autodist

* Fri Jul 22 2022 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Fri Jul 15 2022 Automatic Build System <autodist@mambasoft.it> 5.50.1-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri Jun 17 2022 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Thu Jun 09 2022 Automatic Build System <autodist@mambasoft.it> 5.45.1-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Fri May 27 2022 Automatic Build System <autodist@mambasoft.it> 5.44.1-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Mon May 09 2022 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Wed Apr 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.40.1-3mamba
- rebuilt with nvm to install compatible nodejs versione (16.13.0)

* Tue Apr 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.40.1-2mamba
- rebuilt

* Sat Apr 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.40.1-1mamba
- package created using the webbuild interface
